Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc
Interface DOM

All Known Implementing Classes:
  DOMAdapter, DOMImpl, MultiDOM

public interface DOM

Field Summary
`static int` | `ATTRIBUTE`
`static int` | `COMMENT`
`static int` | `ELEMENT`
`static int` | `FIRST_TYPE`
`static int` | `NAMESPACE`
`static int` | `NO_TYPE`
`static int` | `NTYPES`
`static int` | `NULL`
`static int` | `PROCESSING_INSTRUCTION`
`static int` | `RETURN_CURRENT`
`static int` | `RETURN_PARENT`
`static int` | `ROOT`
`static int` | `ROOTNODE`
`static int` | `TEXT`

Method Summary
`void` | `characters(int textNode, TransletOutputHandler handler)`
`void` | `copy(int node, TransletOutputHandler handler)`
`void` | `copy(NodeIterator nodes, TransletOutputHandler handler)`
`int` | `getAttributeNode(int gType, int element)`
`NodeIterator` | `getAxisIterator(int axis)`
`NodeIterator` | `getChildren(int node)`
`java.lang.String` | `getDocumentURI(int node)`
`NodeIterator` | `getIterator()` returns singleton iterator containg the document root
`java.lang.String` | `getLanguage(int node)`
`NodeIterator` | `getNamespaceAxisIterator(int axis, int ns)`
`java.lang.String` | `getNamespaceName(int node)`
`int` | `getNamespaceType(int node)`
`java.lang.String` | `getNodeName(int node)`
`java.lang.String` | `getNodeValue(int node)`
`NodeIterator` | `getNodeValueIterator(NodeIterator iter, int returnType, java.lang.String value, boolean op)`
`NodeIterator` | `getNthDescendant(int node, int n, boolean includeself)`
`int` | `getParent(int node)`
`int` | `getSize()`
`java.lang.String` | `getStringValue()`
`java.lang.String` | `getTreeString()`
`int` | `getType(int node)`
`NodeIterator` | `getTypedAxisIterator(int axis, int type)`
`NodeIterator` | `getTypedChildren(int type)`
`boolean` | `isAttribute(int node)`
`boolean` | `isElement(int node)`
`boolean` | `lessThan(int node1, int node2)`
`java.lang.String` | `lookupNamespace(int node, java.lang.String prefix)`
`Node` | `makeNode(int index)`
`Node` | `makeNode(NodeIterator iter)`
`NodeList` | `makeNodeList(int index)`
`NodeList` | `makeNodeList(NodeIterator iter)`
`NodeIterator` | `orderNodes(NodeIterator source, int node)`
`void` | `setFilter(StripFilter filter)`
`void` | `setupMapping(java.lang.String[] names, java.lang.String[] namespaces)`
`java.lang.String` | `shallowCopy(int node, TransletOutputHandler handler)`

Field Detail

### FIRST_TYPE

    public static final int FIRST_TYPE

### NO_TYPE

    public static final int NO_TYPE

### ROOT

    public static final int ROOT

### TEXT

    public static final int TEXT

### NAMESPACE

    public static final int NAMESPACE

### ELEMENT

    public static final int ELEMENT

### ATTRIBUTE

    public static final int ATTRIBUTE

### PROCESSING_INSTRUCTION

    public static final int PROCESSING_INSTRUCTION

### COMMENT

    public static final int COMMENT

### NTYPES

    public static final int NTYPES

### NULL

    public static final int NULL

### ROOTNODE

    public static final int ROOTNODE

### RETURN_CURRENT

    public static final int RETURN_CURRENT

### RETURN_PARENT

    public static final int RETURN_PARENT

Method Detail

### getIterator

    public NodeIterator getIterator()

  returns singleton iterator containg the document root

### getStringValue

    public java.lang.String getStringValue()

### getTreeString

    public java.lang.String getTreeString()

### getChildren

    public NodeIterator getChildren(int node)

### getTypedChildren

    public NodeIterator getTypedChildren(int type)

### getAxisIterator

    public NodeIterator getAxisIterator(int axis)

### getTypedAxisIterator

    public NodeIterator getTypedAxisIterator(int axis,
                                             int type)

### getNthDescendant

    public NodeIterator getNthDescendant(int node,
                                         int n,
                                         boolean includeself)

### getNamespaceAxisIterator

    public NodeIterator getNamespaceAxisIterator(int axis,
                                                 int ns)

### getNodeValueIterator

    public NodeIterator getNodeValueIterator(NodeIterator iter,
                                             int returnType,
                                             java.lang.String value,
                                             boolean op)

### orderNodes

    public NodeIterator orderNodes(NodeIterator source,
                                   int node)

### getNodeName

    public java.lang.String getNodeName(int node)

### getNamespaceName

    public java.lang.String getNamespaceName(int node)

### getType

    public int getType(int node)

### getNamespaceType

    public int getNamespaceType(int node)

### getParent

    public int getParent(int node)

### getAttributeNode

    public int getAttributeNode(int gType,
                                int element)

### getNodeValue

    public java.lang.String getNodeValue(int node)

### copy

    public void copy(int node,
                     TransletOutputHandler handler)
              throws TransletException

### copy

    public void copy(NodeIterator nodes,
                     TransletOutputHandler handler)
              throws TransletException

### shallowCopy

    public java.lang.String shallowCopy(int node,
                                        TransletOutputHandler handler)
                                 throws TransletException

### lessThan

    public boolean lessThan(int node1,
                            int node2)

### characters

    public void characters(int textNode,
                           TransletOutputHandler handler)
                    throws TransletException

### makeNode

    public Node makeNode(int index)

### makeNode

    public Node makeNode(NodeIterator iter)

### makeNodeList

    public NodeList makeNodeList(int index)

### makeNodeList

    public NodeList makeNodeList(NodeIterator iter)

### getLanguage

    public java.lang.String getLanguage(int node)

### getSize

    public int getSize()

### getDocumentURI

    public java.lang.String getDocumentURI(int node)

### setFilter

    public void setFilter(StripFilter filter)

### setupMapping

    public void setupMapping(java.lang.String[] names,
                             java.lang.String[] namespaces)

### isElement

    public boolean isElement(int node)

### isAttribute

    public boolean isAttribute(int node)

### lookupNamespace

    public java.lang.String lookupNamespace(int node,
                                            java.lang.String prefix)
                                     throws TransletException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.